http://ftp.mayn.de/pub/cpm/systems/mpm/INDEX.txt| 
http://ftp.mayn.de/pub/cpm/systems/mpm/mpm11-b.zip|Here are the files for MP/M v1.1. It's XIOS should be for a Disk Jockey 2D. There are no source files. 
http://ftp.mayn.de/pub/cpm/systems/mpm/mpm11-b1.zip|This is MP/M v1.1 for a Systems Group System 2800 computer. It includes source code for the XIOS targeted to M80/L80. Obviously I don't have M80, but the source can probably be made to work with something else.
http://ftp.mayn.de/pub/cpm/systems/mpm/mpm2.zip|This is the disrtribution disk for an Altos series 5 MP/M system. It doesn't have the XIOS source files, nor any of the DRI distribution files for porting the OS to other hardware. See the next entry for that. 
http://ftp.mayn.de/pub/cpm/systems/mpm/mpm2dist.zip|Another copy of MP/M II. 
